Bug 1290135 - Remove "Report Bug" button when mozplugger plugin is used
Remove "Report Bug" button when mozplugger plugin is used
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
26
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 12:43 EST by Lukas Vrabec
Modified: 2017-06-22 21:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: setroubleshoot-3.3.12-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-22 21:56:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Vrabec 2015-12-09 12:43:14 EST
Description of problem:
When sealert applies plugins on new report related to mozilla_plugin_t in catchall plugin is option "Report Bug", lot of users blindly reporting this AVC, but solution is just use booleans like:
mozilla_plugin_can_network_connect 
unconfined_mozilla_plugin_transition  

Result of this situation is big number of reports classified as NOTABUG. 

How reproducible:
always

Actual results:
"Report Bug" button is available when mozplugger plugin is used. 


Expected results:
"Report Bug" button should not be available when mozplugger plugin is used.
Comment 1 Jan Kurik 2016-02-24 10:48:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Update System 2017-06-13 11:35:01 EDT
setroubleshoot-plugins-3.3.7-1.fc26 setroubleshoot-3.3.12-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d44051d130
Comment 4 Fedora Update System 2017-06-13 11:37:28 EDT
setroubleshoot-plugins-3.3.7-1.fc25 setroubleshoot-3.3.12-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5be70ca974
Comment 5 Fedora Update System 2017-06-15 06:57:22 EDT
setroubleshoot-3.3.12-1.fc25, setroubleshoot-plugins-3.3.7-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5be70ca974
Comment 6 Fedora Update System 2017-06-15 09:57:16 EDT
setroubleshoot-3.3.12-1.fc26, setroubleshoot-plugins-3.3.7-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d44051d130
Comment 7 Fedora Update System 2017-06-16 09:20:02 EDT
setroubleshoot-3.3.12-1.fc26, setroubleshoot-plugins-3.3.7-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2017-06-22 21:56:05 EDT
setroubleshoot-3.3.12-1.fc25, setroubleshoot-plugins-3.3.7-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.